searchData={"items":[{"type":"module","title":"KritaEx","doc":"Provides the functions `extract_png/3` and `read_png/1` to extract image data from .kra files.","ref":"KritaEx.html"},{"type":"function","title":"KritaEx.extract_png/3","doc":"Extracts the embedded 'mergedimage.png' inside a .kra file to a specified location","ref":"KritaEx.html#extract_png/3"},{"type":"function","title":"Parameters - KritaEx.extract_png/3","doc":"- kra_path: Path to .kra file\n  - out_path: Output filepath\n  - create_dirs: Automatically create parent directories?\n\nReturns `:ok`.","ref":"KritaEx.html#extract_png/3-parameters"},{"type":"function","title":"Examples - KritaEx.extract_png/3","doc":"iex> KritaEx.extract_png(\"./priv/test.kra\", \"./tmp/output.png\")\n    :ok","ref":"KritaEx.html#extract_png/3-examples"},{"type":"function","title":"KritaEx.read_png/1","doc":"Reads the embedded 'mergedimage.png' inside a .kra file","ref":"KritaEx.html#read_png/1"},{"type":"function","title":"Parameters - KritaEx.read_png/1","doc":"- kra_path: Path to .kra file\n\nReturns `{:ok, binary()}`.","ref":"KritaEx.html#read_png/1-parameters"},{"type":"function","title":"Examples - KritaEx.read_png/1","doc":"iex(1)> KritaEx.read_png(\"./priv/test.kra\")\n    {:ok,\n    <<137, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 9, 196,\n      0, 0, 9, 196, 8, 6, 0, 0, 0, 46, 115, 245, 61, 0, 0, 0, 9, 112, 72, 89, 115,\n      0, 0, 46, 35, 0, 0, 46, ...>>}","ref":"KritaEx.html#read_png/1-examples"},{"type":"extras","title":"<img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"KritaEx \n\n[![Hex.pm](https://img.shields.io/hexpm/v/krita_ex.svg)](https://hex.pm/packages/krita_ex) \n[![Documentation](https://img.shields.io/badge/documentation-gray)](https://hexdocs.pm/krita_ex)\n\nA module for extracting embedded images from Krita .kra files","ref":"readme.html"},{"type":"extras","title":"Installation - <img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `krita_ex` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:krita_ex, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - <img align=\"center\" height=\"60\" src=\"priv/logo.svg\"> KritaEx","doc":"```elixir\niex(1)> KritaEx.read_png(\"./priv/test.kra\")\n{:ok,\n<<137, 80, 78, 71, 13, 10, 26, 10, 0, 0, 0, 13, 73, 72, 68, 82, 0, 0, 9, 196,\n  0, 0, 9, 196, 8, 6, 0, 0, 0, 46, 115, 245, 61, 0, 0, 0, 9, 112, 72, 89, 115,\n  0, 0, 46, 35, 0, 0, 46, ...>>}\n```\n\n```elixir\niex(1)> KritaEx.extract_png(\"./priv/test.kra\", \"./tmp/output.png\")\n:ok\n```","ref":"readme.html#usage"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}